/** Namespace that comprises extensions by WebGL version (also cleans up documentation). */
declare namespace extensions {
    /**
     * All extensions specified for WebGL. This array is used to verify extension queries in WebGL contexts. Most of
     * these extensions should not be queried in WebGL2.
     */
    const WEBGL1_EXTENSIONS: Array<string>;
    /**
     * All extensions specified for WebGL2. This array is used to verify extension queries in WebGL2 contexts.
     */
    const WEBGL2_EXTENSIONS: Array<string>;
    /**
     * WebGL extensions that are supported by default in WebGL2.
     */
    const WEBGL2_DEFAULT_EXTENSIONS: Array<string>;
}
export = extensions;
