export declare class GLTFHelper {
    static modeToEnum(gl: any, mode: number): GLenum;
    /**
     * Map gltf attribute names to vertex shader positions.
     * If you supply a shader it needs to reflect these bindings.
     * @todo Make this possible to modify when loading a glTF model.
     * @param name - Name of the glTF attribute.
     * See {@link https://github.com/KhronosGroup/glTF/tree/master/specification/2.0#meshes}
     */
    static nameToAttributeIndex(name: string): number;
    static isPowerOfTwo(x: number): boolean;
    static nextHighestPowerOfTwo(x: number): number;
}
